新的 Cloud Speech-to-Text 用户应使用
V2 API。请阅读我们的
迁移指南,了解如何将现有项目迁移到最新版本。
Google 会使用 AI 技术将内容翻译成您偏好的语言。AI 翻译可能包含错误。
Method: projects.locations.customClasses.create
使用集合让一切井井有条
根据您的偏好保存内容并对其进行分类。
HTTP 请求
POST https://speech.googleapis.com/v1/{parent=projects/*/locations/*}/customClasses
网址采用 gRPC 转码语法。
路径参数
| 参数 |
parent |
string
必需。将创建相应自定义类的父级资源。格式: projects/{project}/locations/{location}/customClasses
Speech-to-Text 支持三个位置:global、us(美国北美)和 eu(欧洲)。如果您要调用 speech.googleapis.com 端点,请使用 global 位置。如需指定区域,请使用与 us 或 eu 位置值相匹配的区域端点。
必须对指定的资源 parent 具有以下 IAM 权限才能进行授权:
speech.customClasses.create
|
请求正文
请求正文中包含结构如下的数据:
| JSON 表示法 |
{
"customClassId": string,
"customClass": {
object (CustomClass)
}
} |
| 字段 |
customClassId |
string
必需。要用于自定义类的 ID,该 ID 将成为自定义类资源名称的最后一个组成部分。 此值应限制为字母、数字和连字符,第一个字符必须是字母,最后一个字符必须是字母或数字,并且长度为 4-63 个字符。
|
customClass |
object (CustomClass)
必需。要创建的自定义类。
|
响应正文
如果成功,响应正文将包含一个新创建的 CustomClass 实例。
授权范围
需要以下 OAuth 范围:
https://www.googleapis.com/auth/cloud-platform
如需了解详情,请参阅 Authentication Overview。
如未另行说明,那么本页面中的内容已根据知识共享署名 4.0 许可获得了许可,并且代码示例已根据 Apache 2.0 许可获得了许可。有关详情,请参阅 Google 开发者网站政策。Java 是 Oracle 和/或其关联公司的注册商标。
最后更新时间 (UTC):2025-10-19。
[[["易于理解","easyToUnderstand","thumb-up"],["解决了我的问题","solvedMyProblem","thumb-up"],["其他","otherUp","thumb-up"]],[["很难理解","hardToUnderstand","thumb-down"],["信息或示例代码不正确","incorrectInformationOrSampleCode","thumb-down"],["没有我需要的信息/示例","missingTheInformationSamplesINeed","thumb-down"],["翻译问题","translationIssue","thumb-down"],["其他","otherDown","thumb-down"]],["最后更新时间 (UTC):2025-10-19。"],[],[]]